## GDataGenerator

GDataGenerator — Atom generator element

## Stability Level

Unstable, unless otherwise indicated

## Functions

const gchar * | gdata_generator_get_name ()
const gchar * | gdata_generator_get_uri ()
const gchar * | gdata_generator_get_version ()

## Properties

gchar * | name | Read
gchar * | uri | Read
gchar * | version | Read

## Types and Values

| GDataGenerator
| GDataGeneratorClass

## Object Hierarchy

        GObject
        ╰── GDataParsable
            ╰── GDataGenerator

## Implemented Interfaces

GDataGenerator implements GDataComparable.

## Includes

    #include <gdata/atom/gdata-generator.h>

## Description

GDataGenerator represents a "generator" element from the

Atom specification.

## Functions

### gdata_generator_get_name ()

    const gchar *
    gdata_generator_get_name (GDataGenerator *self);

Gets the “name” property.

#### Parameters

self | a GDataGenerator |

#### Returns

the generator's name

Since 0.4.0

### gdata_generator_get_uri ()

    const gchar *
    gdata_generator_get_uri (GDataGenerator *self);

Gets the “uri” property.

#### Parameters

self | a GDataGenerator |

#### Returns

the generator's URI, or `NULL`

Since 0.4.0

### gdata_generator_get_version ()

    const gchar *
    gdata_generator_get_version (GDataGenerator *self);

Gets the “version” property.

#### Parameters

self | a GDataGenerator |

#### Returns

the generator's version, or `NULL`

Since 0.4.0

## Types and Values

### GDataGenerator

    typedef struct _GDataGenerator GDataGenerator;

All the fields in the GDataGenerator structure are private and should never be accessed directly.

### GDataGeneratorClass

    typedef struct {
    } GDataGeneratorClass;

All the fields in the GDataGeneratorClass structure are private and should never be accessed directly.

Since 0.4.0

## Property Details

### The `“name”` property

      “name”                     gchar *

A human-readable name for the generating agent.

For more information, see the

Atom specification.

Flags: Read

Default value: NULL

Since 0.4.0

### The `“uri”` property

      “uri”                      gchar *

An IRI reference that is relevant to the agent.

For more information, see the

Atom specification.

Flags: Read

Default value: NULL

Since 0.4.0

### The `“version”` property

      “version”                  gchar *

Indicates the version of the generating agent.

For more information, see the

Atom specification.

Flags: Read

Default value: NULL

Since 0.4.0